travis: Use a more recent OS X image
authorTobias Brunner <tobias@strongswan.org>
Fri, 23 Sep 2016 08:08:13 +0000 (10:08 +0200)
committerTobias Brunner <tobias@strongswan.org>
Tue, 27 Sep 2016 07:19:34 +0000 (09:19 +0200)
Using the xcode8 image does not work currently (libcurl is not found).

.travis.yml
scripts/test.sh

index 43323f3..8719563 100644 (file)
@@ -12,7 +12,7 @@ before_install:
   - ./scripts/test.sh pydeps
 
 before_script:
-  - sudo sysctl -w net.ipv6.conf.all.disable_ipv6=0
+  - sudo sysctl -w net.ipv6.conf.all.disable_ipv6=0 || true
 
 script:
   - ./scripts/test.sh
@@ -52,4 +52,5 @@ matrix:
       dist: precise
     - compiler: clang
       os: osx
+      osx_image: xcode7
       env: TEST=osx
index a910864..a43d724 100755 (executable)
@@ -96,7 +96,7 @@ osx)
        export ACLOCAL_PATH=$BREW_PREFIX/opt/gettext/share/aclocal:$ACLOCAL_PATH
        for pkg in openssl curl
        do
-               PKG_CONFIG_PATH=$BREW_PREFIX/opt/$PKG/lib/pkgconfig:$PKG_CONFIG_PATH
+               PKG_CONFIG_PATH=$BREW_PREFIX/opt/$pkg/lib/pkgconfig:$PKG_CONFIG_PATH
                CPPFLAGS="-I$BREW_PREFIX/opt/$pkg/include $CPPFLAGS"
                LDFLAGS="-L$BREW_PREFIX/opt/$pkg/lib $LDFLAGS"
        done